group "PositionStatusInfo.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 4 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
status?, creationDate?, originatingEvent?, history?

Content Model Elements (4):

  creationDate,
  history,
  originatingEvent (defined in PositionStatusInfo.model group),
  status (defined in PositionStatusInfo.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  Position

Annotation
Contains information about the status of the position
XML Source (w/o annotations (1); see within schema source)

<xsd:group name="PositionStatusInfo.model"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="PositionStatusEnum"/> <xsd:element minOccurs="0" name="creationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="originatingEvent" type="PositionOriginEnum"/> <xsd:element minOccurs="0" name="history" type="PositionHistory"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
creationDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creationDate" type="xsd:date"/>

history

  Type: | PositionHistory, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="history" type="PositionHistory"/>

originatingEvent

  Type: | PositionOriginEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Trade" | - | The position originated directly from a trade. See: http://www.FpML.org
  "Allocation" | - | The position originated from an allocation of a block trade. See: http://www.FpML.org
  "Novation" | - | The position originated from a novation or post-trade transfer. See: http://www.FpML.org
  "Netting" | - | The position originated from netting or portfolio compression. See: http://www.FpML.org
  "Exercise" | - | The position originated from an exercise of a physically-settled option. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originatingEvent" type="PositionOriginEnum"/>

status

  Type: | PositionStatusEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "New" | - | The position is open and has been newly added since the last position report. See: http://www.FpML.org
  "Existing" | - | The position is open and was present in the last position report. See: http://www.FpML.org
  "Closed" | - | The position is no longer open, for example because it has matured, was assigned, or was terminated. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="status" type="PositionStatusEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.